body {
    background-color: #dad3c8;
    color: #112927;
    margin-left: 25px;
    margin-right: 25px;
}
@media (prefers-color-scheme: dark) {
    body {
        background-color: black;
        color: white;
    }
}

pre {
    color: white;
    background-color: #171717;
    border-width: 0px;
    border-radius: 8px;
    box-shadow: 0px 0px 10px 5px #00000088;
    padding: 25px;
    margin: 10px;
}
@media (prefers-color-scheme: dark) {
    pre {
        color: white;
        background: linear-gradient(to right, #04087d, #4928bd);
        border-style: solid;
        border-color: white;
        border-width: 1px;
        box-shadow: none;
    }
}

code {
    color: #045e53;
    border-style: solid;
    border-width: 1px;
    border-radius: 4px;
    background-color: #bbe2d9;
    border-color: #045e53;
    padding-top: 1px;
    padding-bottom: 1px;
    padding-left: 5px;
    padding-right: 5px;
    margin: 4px;
}
@media (prefers-color-scheme: dark) {
    code {
        color: white;
        background-color: #04087d;
        border-color: white;
    }
}

.title {
    text-align: center;
    padding-bottom: 100px;
    background-image: url("icecream.png"),
                      linear-gradient(to top, #cef0fb, #bee0db);
    background-position: bottom, center;
    background-size: auto 100px, 100% 100%;
    background-repeat: repeat-x, no-repeat;
    border-color: #11292777;
    border-style: solid;
    border-width: 1px;
    border-radius: 4px;
}
@media (prefers-color-scheme: dark) {
    .title {
        color: black;
        background-image: url("icecream.png"),
                          linear-gradient(to top, #a88aae, #9498dd);
        border-color: white;
    }
}

.subtitle {
    font-size: large;
    text-align: center;
    padding-bottom: 25px;
    margin-left: 10px;
    margin-right: 10px;
    border-bottom-style: dotted;
    border-bottom-width: 4px;
    border-bottom-color: #112927;
}
@media (prefers-color-scheme: dark) {
    .subtitle {
        border-bottom-color: #e0baa577;
    }
}

div.outline-2 {
    margin-bottom: 25px;
}

.color-bar {
    height: 1px;
    background: linear-gradient(to right, #e0baa5, #bfcba8, #d5cc98, #c4c8dd, #d8bade, #bee0db);
    border-color: #11292777;
    border-style: solid;
    border-width: 1px;
    border-radius: 0px;
    margin-top: 10px;
}
@media (prefers-color-scheme: dark) {
    .color-bar {
        border-color: #e0baa577;
    }
}

a:link {
    color: #902000;
}
a:visited {
    color: #c05030;
}
a:hover {
    color: #c05030;
}
a:active {
    color: #234567;
}
